Load reversal

Reverse a load that was previously requested on a wallet

KLV will not be sent for reversals. Only reference data will be included if there is any.

REQUEST

PATH PARAMETERS

ParameterType & ConstraintsDescription
terminalIDstring (10 characters), requiredOur partner issued terminal ID of the terminal requesting the transaction
referencestring (1-255 characters), requiredThe reference of the wallet to reverse a previous load
requestAmountinteger, requiredThe amount of the original load to be reversed (can be partial)
narrativestring (1-255 characters), requiredA description of the terminal where the card was used
transactionDatastring (0-2048 characters), requiredExtra information about the transaction in a KLV Format
referenceIDstring (1-255 characters), requiredTransaction ID of the original load to be reversed
referenceDatedate, requiredTransaction date of the original load to be reversed
transactionIDstring (1-255 characters), requiredTransaction ID to identify the reversal message.

Note that the Transaction ID is not a unique value and may be duplicated over time.
transactionDatedate, requiredTransaction date to identify the reversal message
checksumstring, requiredHMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
  <?xml version="1.0"?>
  <methodCall>
    <methodName>LoadReversal</methodName>
    <params>
      <param><value><string>0089753250</string></value></param>
      <param><value><string>592193355535</string></value></param>
      <param><value><int>7900000</int></value></param>
      <param><value><string>20200821T02:42:00/Lazada\Lazada, Ho Chi Minh, VN\Ho Chi Minh\          08 VNM</string></value></param>
      <param><value><string></string></value></param>
      <param><value><string>2911DF1B-9F06-8EBA-F1E8EE0BDF673D4C</string></value></param>
      <param><value><dateTime.iso8601>20200824T01:44:00</dateTime.iso8601></value></param>
      <param><value><string>2010048</string></value></param>
      <param><value><dateTime.iso8601>20200824T01:44:07</dateTime.iso8601></value></param>
      <param><value><string>6F0D0CFF534288C848D7881CBFEFF88605DB6214</string></value></param>
    </params>
  </methodCall>

RESPONSE

STATUS 200 OK

SCHEMA

FieldTypeDescription
resultCodeintegerStatus code indicating transaction result
  <methodResponse>
    <params>
      <param>
        <value>
          <struct>
            <member>
              <name>resultCode</name>
              <value><int>1</int></value>
            </member>
          </struct>
        </value>
      </param>
    </params>
  </methodResponse>
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Load reversal request

string
string
string
string
integer
string
string
date-time
date-time
string
Responses
200

Successful reversal

400

Invalid request parameters

404

Original transaction not found

409

Reversal already processed

422

Partial reversal amount exceeds original amount

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!